Oro\Bundle\ImapBundle\Entity\ImapEmailOrigin:
    properties:
        host:
            - NotBlank:     ~
            - Length:
                min:        3
                max:        255
        port:
            - NotBlank:     ~
            - Type:
                type: integer
        ssl:
            - Choice:
                choices:  [ssl, tls]
        user:
            - NotBlank:     ~
            - Type:
                type: string
